Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226513 - Merge Review: units
Summary: Merge Review: units
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:13 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-30 03:22:36 UTC
kevin: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:13:06 UTC
Fedora Merge Review: units

http://cvs.fedora.redhat.com/viewcvs/devel/units/
Initial Owner: harald@redhat.com

Comment 1 Kevin Fenzi 2007-02-08 03:55:42 UTC
I'd be happy to review this package... look for a full review in a bit. 

Comment 2 Kevin Fenzi 2007-02-08 04:27:29 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name.
OK - Spec has consistant macro usage.
OK - Meets Packaging Guidelines.
OK - License (GPL)
OK - License field in spec matches
See below - License file included in package
OK - Spec in American English
OK - Spec is legible.
OK - Sources match upstream md5sum:
e27f580474702e9138b332acbafafe5b  units-1.86.tar.gz
e27f580474702e9138b332acbafafe5b  units-1.86.tar.gz.1
See below - BuildRequires correct
OK - Package has %defattr and permissions on files is good.
OK - Package has a correct %clean section.
See below - Package has correct buildroot
OK - Package is code or permissible content.
OK - Packages %doc files don't affect runtime.

OK - Package compiles and builds on at least one arch.
OK - Package has no duplicate files in %files.
OK - Package doesn't own any directories other packages own.
OK - Package owns all the directories it creates.
See below - No rpmlint output.
OK - final provides and requires are sane:

SHOULD Items:

OK - Should build in mock.
OK - Should build on all supported archs
OK - Should function as described.
OK - Should have dist tag
OK - Should package latest version
0 outstanding bugs - check for outstanding bugs on package.

Issues:

1. Might include in %doc:
ChangeLog COPYING NEWS README

2. Buildroot should be the default one:
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

3. rpmlint says:
rpmlint on units-1.86-3.fc7.src.rpm
W: units summary-ended-with-dot A utility for converting amounts from one unit
to another.

Suggest: remove . at the end of summary.

W: units no-url-tag

Suggest: add a "URL: http://www.gnu.org/software/units/units.html"

W: units prereq-use /sbin/install-info

Suggest: remove the "Prereq: /sbin/install-info" and replace per
http://www.fedoraproject.org/wiki/Packaging/ScriptletSnippets#head-47896da5fb2662d75deefeb9ba75145a398515db
with
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

4. Don't use %makeinstall, instead use 'make DESTDIR=$RPM_BUILD_ROOT install'
per
http://www.fedoraproject.org/wiki/PackagingDrafts/MakeInstall

5. Possible missing Buildrequires?

checking for sin... no
checking for tparm in -lncurses... no
checking for tgetent in -ltermcap... no
checking for readline in -lreadline... no

Once you have addressed these items (either by making the suggested changes, or
by explaining why they don't make sense), please reassign this review back 
to me, and change the 'fedora-review' flag back to ? for me to take action. 

Comment 3 Kevin Fenzi 2007-02-24 03:16:38 UTC
Resetting flags and such per the new offical review guidelines. 
https://www.redhat.com/archives/fedora-maintainers/2007-February/msg00682.html

Comment 4 Harald Hoyer 2007-03-23 13:41:05 UTC
please check units-1.86-5.fc7

Comment 5 Kevin Fenzi 2007-03-24 03:23:06 UTC
Excellent. I see no further blockers... so this package is APPROVED. 

You can go ahead and close this RAWHIDE once it's been pushed out into rawhide. 

Comment 6 Kevin Fenzi 2007-05-30 03:22:36 UTC
Closing this since it's been checked in and shipped a while back. 


Note You need to log in before you can comment on or make changes to this bug.